Page MenuHomePhabricator

ELF] Remove merge strings functionality.
ClosedPublic

Authored by shankare on Sep 26 2015, 4:20 PM.

Details

Reviewers
ruiu
Bigcheese
Summary

The reader creates mergeable strings for sections that have the flag SHF_MERGE|SHF_STRINGS set, Lets delay string merging until the output fie is being written to disk.

The time will also be saved because the reader may try to atomize a section
that is has been garbage collected containing strings very early when garbage
collection is enabled.

Diff Detail

Event Timeline

shankare updated this revision to Diff 35813.Sep 26 2015, 4:20 PM
shankare retitled this revision from to ELF] Remove merge strings functionality..
shankare updated this object.
shankare added reviewers: ruiu, atanasyan, Bigcheese.
shankare added a project: lld.
shankare added subscribers: lld, llvm-commits.
ruiu edited edge metadata.Sep 26 2015, 9:37 PM

Many people are actively working on elf2 implementation now. This patch seems to remove an existing feature from the existing implementation and add no new features. I doubt that it's worth taking the risk of regressions.

merge strings has bugs that will eventually crash applications built using this switch. I will add a proper implementation soon.

Any other comments ?, If not I will go ahead and commit this change and continue getting the Atom model for ELF

ruiu accepted this revision.Sep 28 2015, 5:32 PM
ruiu edited edge metadata.

LGTM. This seems to be safe to land.

This revision is now accepted and ready to land.Sep 28 2015, 5:32 PM
atanasyan resigned from this revision.Feb 3 2016, 12:40 AM
atanasyan removed a reviewer: atanasyan.

Looks like patch was not committed. May be it obsolete?

ruiu closed this revision.Sep 30 2016, 2:27 PM

The upstream code has been removed.